<script>
let id = 0

export default {
  data() {return {
    newTodo: '',

    todos: [
      { id: id++, text: 'Learn HTML' },
      { id: id++, text: 'Learn JavaScript' },
      { id: id++, text: 'Learn Vue' },
    ],
  }},

  methods: {

    addTodo() {
      this.todos.push(
        {id: id++, text: this.newTodo}
      )
    },

    removeTodo(todo) {
      this.todos = this.todos.filter(i => i.id != todo.id)
    },

  }
}
</script>

<template>
  <!-- todoitem upsert form -->
  <form @submit.prevent="addTodo">
    <input v-model="newTodo">
    <button>Add Todo</button>
  </form>

  <!-- todoitem listing -->
  <ul>
    <li v-for="todo in todos"
        :key="todo.id"
    >
      {{ todo.text }}
      <button @click="removeTodo(todo)">X</button>
    </li>
  </ul>

</template>
